DepMacOSEnrollmentProfile aktualisieren

Namespace: microsoft.graph

Wichtig: Microsoft Graph-APIs unter der /beta-Version können geändert werden. Die Produktionsverwendung wird nicht unterstützt.

Hinweis: Die Microsoft Graph-API für Intune setzt eine aktive Intune-Lizenz für den Mandanten voraus.

Dient zum Aktualisieren der Eigenschaften eines depMacOSEnrollmentProfile-Objekts .

Voraussetzungen

Eine der nachfolgenden Berechtigungen ist erforderlich, um diese API aufrufen zu können. Weitere Informationen, unter anderem zur Auswahl von Berechtigungen, finden Sie im Artikel zum Thema Berechtigungen.

Berechtigungstyp Berechtigungen (von der Berechtigung mit den wenigsten Rechten zu der mit den meisten Rechten)
Delegiert (Geschäfts-, Schul- oder Unikonto) DeviceManagementServiceConfig.ReadWrite.All
Delegiert (persönliches Microsoft-Konto) Nicht unterstützt
Anwendung DeviceManagementServiceConfig.ReadWrite.All

HTTP-Anforderung

PATCH /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/defaultMacOsEnrollmentProfile

Anforderungsheader

Kopfzeile Wert
Authorization Bearer<token> erforderlich
Annehmen application/json

Anforderungstext

Geben Sie im Anforderungstext eine JSON-Darstellung des depMacOSEnrollmentProfile-Objekts an.

In der folgenden Tabelle sind die Eigenschaften aufgeführt, die angegeben werden müssen, wenn Sie depMacOSEnrollmentProfile erstellen.

Eigenschaft Typ Beschreibung
id Zeichenfolge Die GUID für das Objekt, geerbt von enrollmentProfile
displayName Zeichenfolge Name des Profils Geerbt von enrollmentProfile
description Zeichenfolge Beschreibung des profils Geerbt von enrollmentProfile
requiresUserAuthentication Boolean Gibt an, ob für das Profil eine Benutzerauthentifizierung erforderlich ist. Geerbt von enrollmentProfile
configurationEndpointUrl Zeichenfolge Url des Konfigurationsendpunkts, die für die Registrierung verwendet werden soll. Geerbt von enrollmentProfile
enableAuthenticationViaCompanyPortal Boolean Gibt an, dass die Authentifizierung beim Apple Setup-Assistenten anstelle von Unternehmensportal erfolgt. Geerbt von enrollmentProfile
requireCompanyPortalOnSetupAssistantEnrolledDevices Boolescher Wert Gibt an, dass Unternehmensportal auf registrierten Geräten des Setup-Assistenten erforderlich ist. Geerbt von enrollmentProfile
isDefault Boolean Gibt an, ob es sich um das Standardprofil handelt, das von depEnrollmentBaseProfile geerbt wird.
supervisedModeEnabled Boolescher Wert Überwachter Modus, "True" zum Aktivieren, andernfalls "false". Weitere Informationen finden Sie https://docs.microsoft.com/intune/deploy-use/enroll-devices-in-microsoft-intune unter . Geerbt von depEnrollmentBaseProfile
supportDepartment Zeichenfolge Supportabteilungsinformationen geerbt von depEnrollmentBaseProfile
isMandatory Boolean Gibt an, ob das Profil obligatorisch ist. Geerbt von depEnrollmentBaseProfile
locationDisabled Boolescher Wert Gibt an, ob der Einrichtungsbereich des Standortdiensts deaktiviert ist. Geerbt von depEnrollmentBaseProfile
supportPhoneNumber Zeichenfolge Supporttelefonnummer geerbt von depEnrollmentBaseProfile
profileRemovalDisabled Boolean Gibt an, ob die Option zum Entfernen des Profils deaktiviert ist. Geerbt von depEnrollmentBaseProfile
restoreBlocked Boolescher Wert Gibt an, ob der Setupbereich für die Wiederherstellung blockiert ist. Geerbt von depEnrollmentBaseProfile
appleIdDisabled Boolean Gibt an, ob der Apple-ID-Setupbereich deaktiviert ist. Geerbt von depEnrollmentBaseProfile
termsAndConditionsDisabled Boolescher Wert Gibt an, ob der Setupbereich "Geschäftsbedingungen" deaktiviert ist. Geerbt von depEnrollmentBaseProfile
touchIdDisabled Boolean Gibt an, ob der Einrichtungsbereich für die Touch-ID deaktiviert ist. Geerbt von depEnrollmentBaseProfile
applePayDisabled Boolesch Gibt an, ob der Apple Pay-Setupbereich deaktiviert ist. Geerbt von depEnrollmentBaseProfile
siriDisabled Boolescher Wert Gibt an, ob der Siri-Setupbereich deaktiviert ist. Geerbt von depEnrollmentBaseProfile
diagnosticsDisabled Boolescher Wert Gibt an, ob der Diagnoseeinrichtungsbereich deaktiviert ist. Geerbt von depEnrollmentBaseProfile
displayToneSetupDisabled Boolean Gibt an, ob der Anzeigeton-Setupbildschirm deaktiviert ist. Geerbt von depEnrollmentBaseProfile
privacyPaneDisabled Boolean Gibt an, ob der Datenschutzbildschirm deaktiviert ist. Geerbt von depEnrollmentBaseProfile
screenTimeScreenDisabled Boolean Gibt an, ob das Setup des Bildschirmtimeouts deaktiviert ist. Geerbt von depEnrollmentBaseProfile
deviceNameTemplate Zeichenfolge Legt ein Literal- oder Namensmuster fest. Geerbt von depEnrollmentBaseProfile
configurationWebUrl Boolean URL für setup assistant login Inherited from depEnrollmentBaseProfile
registrationDisabled Boolean Gibt an, ob die Registrierung deaktiviert ist.
fileVaultDisabled Boolean Gibt an, ob der Dateitresor deaktiviert ist.
iCloudDiagnosticsDisabled Boolean Gibt an, ob der iCloud Analytics-Bildschirm deaktiviert ist.
passCodeDisabled Boolean Gibt an, ob der Kennungseinrichtungsbereich deaktiviert ist.
zoomDisabled Boolean Gibt an, ob der Zoomeinrichtungsbereich deaktiviert ist.
iCloudStorageDisabled Boolean Gibt an, ob der iCloud-Bildschirm "Dokumente und Desktop" deaktiviert ist.
chooseYourLockScreenDisabled Boolean Gibt an, ob der iCloud-Bildschirm "Dokumente und Desktop" deaktiviert ist.
accessibilityScreenDisabled Boolescher Wert Gibt an, ob der Bildschirm "Barrierefreiheit" deaktiviert ist.
autoUnlockWithWatchDisabled Boolesch Gibt an, ob der Bildschirm "UnlockWithWatch" deaktiviert ist.

Antwort

Bei erfolgreicher Ausführung gibt die Methode einen 200 OK Antwortcode und ein aktualisiertes depMacOSEnrollmentProfile-Objekt im Antworttext zurück.

Beispiel

Anforderung

Nachfolgend sehen Sie ein Beispiel der Anforderung.

PATCH https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/defaultMacOsEnrollmentProfile
Content-type: application/json
Content-length: 1340

{
  "@odata.type": "#microsoft.graph.depMacOSEnrollmentProfile",
  "displayName": "Display Name value",
  "description": "Description value",
  "requiresUserAuthentication": true,
  "configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
  "enableAuthenticationViaCompanyPortal": true,
  "requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
  "isDefault": true,
  "supervisedModeEnabled": true,
  "supportDepartment": "Support Department value",
  "isMandatory": true,
  "locationDisabled": true,
  "supportPhoneNumber": "Support Phone Number value",
  "profileRemovalDisabled": true,
  "restoreBlocked": true,
  "appleIdDisabled": true,
  "termsAndConditionsDisabled": true,
  "touchIdDisabled": true,
  "applePayDisabled": true,
  "siriDisabled": true,
  "diagnosticsDisabled": true,
  "displayToneSetupDisabled": true,
  "privacyPaneDisabled": true,
  "screenTimeScreenDisabled": true,
  "deviceNameTemplate": "Device Name Template value",
  "configurationWebUrl": true,
  "registrationDisabled": true,
  "fileVaultDisabled": true,
  "iCloudDiagnosticsDisabled": true,
  "passCodeDisabled": true,
  "zoomDisabled": true,
  "iCloudStorageDisabled": true,
  "chooseYourLockScreenDisabled": true,
  "accessibilityScreenDisabled": true,
  "autoUnlockWithWatchDisabled": true
}

Antwort

Nachfolgend sehen Sie ein Beispiel der Antwort. Hinweis: Das hier gezeigte Antwortobjekt ist möglicherweise aus Platzgründen abgeschnitten. Von einem tatsächlichen Aufruf werden alle Eigenschaften zurückgegeben.

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1389

{
  "@odata.type": "#microsoft.graph.depMacOSEnrollmentProfile",
  "id": "e433c95c-c95c-e433-5cc9-33e45cc933e4",
  "displayName": "Display Name value",
  "description": "Description value",
  "requiresUserAuthentication": true,
  "configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
  "enableAuthenticationViaCompanyPortal": true,
  "requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
  "isDefault": true,
  "supervisedModeEnabled": true,
  "supportDepartment": "Support Department value",
  "isMandatory": true,
  "locationDisabled": true,
  "supportPhoneNumber": "Support Phone Number value",
  "profileRemovalDisabled": true,
  "restoreBlocked": true,
  "appleIdDisabled": true,
  "termsAndConditionsDisabled": true,
  "touchIdDisabled": true,
  "applePayDisabled": true,
  "siriDisabled": true,
  "diagnosticsDisabled": true,
  "displayToneSetupDisabled": true,
  "privacyPaneDisabled": true,
  "screenTimeScreenDisabled": true,
  "deviceNameTemplate": "Device Name Template value",
  "configurationWebUrl": true,
  "registrationDisabled": true,
  "fileVaultDisabled": true,
  "iCloudDiagnosticsDisabled": true,
  "passCodeDisabled": true,
  "zoomDisabled": true,
  "iCloudStorageDisabled": true,
  "chooseYourLockScreenDisabled": true,
  "accessibilityScreenDisabled": true,
  "autoUnlockWithWatchDisabled": true
}